[rspec-devel] rspec_on_rails fix for edge rails 8862

David Chelimsky dchelimsky at gmail.com
Thu Feb 14 09:31:16 EST 2008


On Thu, Feb 14, 2008 at 8:24 AM, Bryan Ray <bryansray at gmail.com> wrote:
> Yeah. I'm having this problem too.
>
> I'm not sure whether it's a Rails issue or a rSpec issue at this point
> though and I'm too new to Rails / rSpec to be able to dig in to the problem.
> :(
>
> Would love to hear more about why it's breaking though.

It's simple. Rails made a backwards compatibility breaking change.

Unfortunately, while Rick's patch works for Rails 2.0.x and edge, it
doesn't work for 1.2.x, which RSpec supports. I won't have time to
address this for a day or two, so if someone wants to do up a patch
that passes the pre_commit, that would be great.

> On Thu, Feb 14, 2008 at 1:11 AM, Rick Olson <technoweenie at gmail.com> wrote:
> > I don't know what the history of this 'deprecated_status' argument in
> > rspec_on_rails' render method, but it breaks on edge rails 8862+
> >
> > http://dev.rubyonrails.org/changeset/8862
> >
> > curl http://pastie.org/152009.txt | patch -p1
> >
> > --
> > Rick Olson
> > _______________________________________________
> > rspec-devel mailing list
> > rspec-devel at rubyforge.org
> > http://rubyforge.org/mailman/listinfo/rspec-devel
> >
>
>
>
> --
> Bryan Ray
> http://www.bryanray.net
>
> "Programming today is a race between software engineers striving to build
> bigger and better idiot-proof programs, and the Universe trying to produce
> bigger and better idiots. So far, the Universe is winning."
> _______________________________________________
>  rspec-devel mailing list
>  rspec-devel at rubyforge.org
>  http://rubyforge.org/mailman/listinfo/rspec-devel
>


More information about the rspec-devel mailing list